"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCompilerOptions = void 0;
const typescript_1 = __importDefault(require("typescript"));
function getCompilerOptions() {
    const configFile = typescript_1.default.readConfigFile(this.tsConfigPath, typescript_1.default.sys.readFile);
    const compilerOptions = typescript_1.default.parseJsonConfigFileContent(configFile.config, typescript_1.default.sys, this.getCurrentDirectory());
    // compilerOptions.
    // console.log("🚀 --> file: getCompilerOptions.ts:25 --> getCompilerOptions --> compilerOptions", compilerOptions);
    const errors = [...compilerOptions.errors];
    if (configFile.error) {
        errors.push(configFile.error);
    }
    return {
        ...compilerOptions,
        options: { ...compilerOptions.options, ...(this.defaultCompilerOptions || {}) },
        errors: errors
    };
}
exports.getCompilerOptions = getCompilerOptions;
