"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTsConfigFilePath = void 0;
const typescript_1 = __importDefault(require("typescript"));
const path_1 = __importDefault(require("path"));
const normalizePath_1 = require("./utils/normalizePath");
function getTsConfigFilePath() {
    const currentDirectory = this.getCurrentDirectory();
    let configFileName;
    if (this.defaultTsConfigPath) {
        configFileName = path_1.default.resolve(currentDirectory, this.defaultTsConfigPath);
    }
    else {
        configFileName = typescript_1.default.findConfigFile(currentDirectory, (fileName) => this.fileExists(fileName));
    }
    return (0, normalizePath_1.normalizePath)(configFileName || "");
}
exports.getTsConfigFilePath = getTsConfigFilePath;
